=encoding utf8

=head1 NAME

Mail::Box::Locker::Mutt - lock a folder using mutt_dotlock

=head1 INHERITANCE

 Mail::Box::Locker::Mutt
   is a Mail::Box::Locker
   is a Mail::Reporter

=head1 SYNOPSIS

  See Mail::Box::Locker

=head1 DESCRIPTION

The C<mutt> email reader includes a separate program which is specialized
in locking folders.  This locker class uses this external program.
Mutt is not automatically installed.

Extends L<"DESCRIPTION" in Mail::Box::Locker|Mail::Box::Locker/"DESCRIPTION">.

=head1 METHODS

Extends L<"METHODS" in Mail::Box::Locker|Mail::Box::Locker/"METHODS">.

=head2 Constructors

Extends L<"Constructors" in Mail::Box::Locker|Mail::Box::Locker/"Constructors">.

=over 4

=item $class-E<gt>B<new>(%options)

Inherited, see L<Mail::Box::Locker/"METHODS">

 -Option --Defined in       --Default
  exe                         mutt_dotlock
  expires  Mail::Box::Locker  1 hour
  file     Mail::Box::Locker  undef
  folder   Mail::Box::Locker  <C<undef>>
  method   Mail::Box::Locker  'DOTLOCK'
  timeout  Mail::Box::Locker  10

=over 2

=item exe => PATH

The name of the program.  May be a relative or absolute path.

=item expires => $seconds

=item file => $file

=item folder => $folder

=item method => $name|CLASS|\@names

=item timeout => $seconds|'NOTIMEOUT'

=back

=back

=head2 Attributes

Extends L<"Attributes" in Mail::Box::Locker|Mail::Box::Locker/"Attributes">.

=over 4

=item $obj-E<gt>B<exe>()

Returns the name of the external binary.

=item $obj-E<gt>B<expires>( [SECONDS] )

Inherited, see L<Mail::Box::Locker/"Attributes">

=item $obj-E<gt>B<filename>( [$filename] )

Inherited, see L<Mail::Box::Locker/"Attributes">

=item $obj-E<gt>B<folder>( [$folder] )

Inherited, see L<Mail::Box::Locker/"Attributes">

=item $obj-E<gt>B<name>()

Inherited, see L<Mail::Box::Locker/"Attributes">

=item $obj-E<gt>B<timeout>( [SECONDS] )

Inherited, see L<Mail::Box::Locker/"Attributes">

=back

=head2 Locking

Extends L<"Locking" in Mail::Box::Locker|Mail::Box::Locker/"Locking">.

=over 4

=item $obj-E<gt>B<hasLock>()

Inherited, see L<Mail::Box::Locker/"Locking">

=item $obj-E<gt>B<isLocked>()

Inherited, see L<Mail::Box::Locker/"Locking">

=item $obj-E<gt>B<lock>()

Inherited, see L<Mail::Box::Locker/"Locking">

=item $obj-E<gt>B<unlock>()

Inherited, see L<Mail::Box::Locker/"Locking">

=back

=head2 Error handling

Extends L<"Error handling" in Mail::Box::Locker|Mail::Box::Locker/"Error handling">.

=over 4

=item $obj-E<gt>B<AUTOLOAD>()

Inherited, see L<Mail::Reporter/"Error handling">

=item $obj-E<gt>B<notImplemented>()

Inherited, see L<Mail::Reporter/"Error handling">

=back

=head2 Cleanup

Extends L<"Cleanup" in Mail::Box::Locker|Mail::Box::Locker/"Cleanup">.

=over 4

=item $obj-E<gt>B<DESTROY>()

Inherited, see L<Mail::Box::Locker/"Cleanup">

=back

=head1 DIAGNOSTICS

=over 4

=item Error: class $package does not implement method $method.

Fatal error: the specific C<$package> (or one of its superclasses) does not
implement this method where it should. This message means that some other
related classes do implement this method however the class at hand does
not.  Probably you should investigate this and probably inform the author
of the package.
Cast by C<notImplemented()>

=item Warning: couldn't remove mutt-unlock $folder: $!

Cast by C<unlock()>

=item Fault: failed to remove expired mutt-lock $file: $!

Cast by C<lock()>

=item Warning: folder $name already mutt-locked with $file.

Cast by C<lock()>

=item Fault: folder $name will never get a mutt-lock with $file: $!

Cast by C<lock()>

=item Warning: removed expired mutt-lock file $file.

Cast by C<lock()>

=back

=head1 SEE ALSO

This module is part of Mail-Box version 4.02,
built on April 10, 2026. Website: F<http://perl.overmeer.net/CPAN/>

=head1 LICENSE

For contributors see file ChangeLog.

This software is copyright (c) 2001-2026 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

